/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_SMSERVICE_SMSERVICE_COMMON_H
#define JAC_AP_SMSERVICE_SMSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_sm4decision.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace smservice {

class SMService {
public:
    constexpr SMService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/SMService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace smservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_SMSERVICE_SMSERVICE_COMMON_H
